package ztg

import (
	"net/http"
	"time"
)

type ZTg struct {
	client       *http.Client
	botKey       string
	defaultProps map[string]any
	mode         int
	batch        bool
	apiUrl       string
}

func Default(botKey string) *ZTg {
	return &ZTg{
		client: &http.Client{Timeout: time.Second * 5},
		botKey: botKey,
		defaultProps: map[string]any{
			"parse_mode": "HTML",
		},
		mode:   0,
		batch:  false,
		apiUrl: "",
	}
}
